OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.TextureMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVTextureMultisample :: MonadIO m => m Bool
- gl_NV_texture_multisample :: Bool
- pattern GL_TEXTURE_COLOR_SAMPLES_NV :: GLenum
- pattern GL_TEXTURE_COVERAGE_SAMPLES_NV :: GLenum
- glTexImage2DMultisampleCoverageNV :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTexImage3DMultisampleCoverageNV :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage2DMultisampleCoverageNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage2DMultisampleNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage3DMultisampleCoverageNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureImage3DMultisampleNV :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()

# Extension Support

glGetNVTextureMultisample :: MonadIO m => m Bool Source #

Is the NV_texture_multisample extension supported?

gl_NV_texture_multisample :: Bool Source #

Is the NV_texture_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVTextureMultisample` in those cases instead.

# Enums

pattern GL_TEXTURE_COLOR_SAMPLES_NV :: GLenum Source #

pattern GL_TEXTURE_COVERAGE_SAMPLES_NV :: GLenum Source #

# Functions

glTexImage2DMultisampleCoverageNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTexImage3DMultisampleCoverageNV Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage2DMultisampleCoverageNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target` of type TextureTarget.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage2DMultisampleNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage3DMultisampleCoverageNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target` of type TextureTarget.
-> GLsizei | `coverageSamples`.
-> GLsizei | `colorSamples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |

glTextureImage3DMultisampleNV Source #

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `target` of type TextureTarget.
-> GLsizei | `samples`.
-> GLint | `internalFormat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedSampleLocations` of type Boolean.
-> m () |